Package Asm

## Class IO

- java.lang.Object
- - Asm.Instruction
  - - Asm.IO

-     public class IO
      extends Instruction

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `IO.Op` |

  - ### Field Summary

    - ### Fields inherited from class Asm.Instruction

      `label, name`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IO​(IO.Op op, int reg)` | Constructeur sans label
    `IO​(java.lang.String label, IO.Op op, int reg)` | Constructeur

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getReg()` | Getter du registre
    `void` | `setReg​(int reg)` | Setter du registre
    `java.lang.String` | `toString()` | Conversion en String

    - ### Methods inherited from class Asm.Instruction

      `getLabel, getName, setLabel, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IO

          public IO​(java.lang.String label,
                    IO.Op op,
                    int reg)

      Constructeur
      Parameters:
        `label` - label de l'instruction
        `op` - type d'opération
        `reg` - numéro de registre

    - #### IO

          public IO​(IO.Op op,
                    int reg)

      Constructeur sans label
      Parameters:
        `op` - type d'opération
        `reg` - numéro de registre

  - ### Method Detail

    - #### getReg

          public int getReg()

      Getter du registre
      Returns:
        int numéro de registre

    - #### setReg

          public void setReg​(int reg)

      Setter du registre
      Parameters:
        `reg` - numéro de registre

    - #### toString

          public java.lang.String toString()

      Conversion en String
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        String texte de l'instruction